Download it now!
Bug 33895 - Various issues with .docx documents, crashing Writer
Summary: Various issues with .docx documents, crashing Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Luboš Luňák
URL:
Whiteboard: target:4.2.0 target:4.1.0.1 target:4.0.5
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-04 01:47 UTC by Andreas Berger
Modified: 2013-06-11 13:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols (13.20 KB, text/plain)
2012-05-12 06:16 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Berger 2011-02-04 01:47:01 UTC
I downloaded some sample documents from http://openxmldeveloper.org/articles/OpenXMLsamples.aspx namely the file provided at http://openxmldeveloper.org/attachment/30.ashx to try out some things regarding printing and document languages. However, when I try to use these documents, some of them crash the whole application. 

One of them seems to be related to https://bugs.freedesktop.org/show_bug.cgi?id=33785 and it happens with "Office Open XML sample.doc" when scrolling a bit down in the document. Copying mtfrenderer.uno.dll to Program\ rather than Basis\Program seems to solve it.

Merely opening "Office Open XML sample.docx" crashes the application.

"Alice's Adventures in Wonderland.docx" opens, but it's totally blank.


This was tested on Windows XP, with LibreOffice 3.3 final.
Comment 1 Cédric Bosdonnat 2011-02-04 01:55:58 UTC
Backtrace of the crash with sample.docx:

#0  0x00007fffd8e79b9c in writerfilter::ooxml::OOXMLParserState::setXNoteId (this=0x1737c30, rId=...)
    at /home/cbosdo/libreoffice/master/bootstrap/clone/filters/writerfilter/source/ooxml/OOXMLParserState.cxx:133
#1  0x00007fffd8e89e9f in writerfilter::ooxml::OOXMLFastContextHandler::setXNoteId (this=0x1737b60, rId=...)
    at /home/cbosdo/libreoffice/master/bootstrap/clone/filters/writerfilter/source/ooxml/OOXMLFastContextHandler.cxx:1071
#2  0x00007fffd8e85c05 in writerfilter::ooxml::OOXMLFastDocumentHandler::getContextHandler (this=0x17378d0)
    at /home/cbosdo/libreoffice/master/bootstrap/clone/filters/writerfilter/source/ooxml/OOXMLFastDocumentHandler.cxx:134
#3  0x00007fffd8e85c9d in writerfilter::ooxml::OOXMLFastDocumentHandler::createFastChildContext (this=0x17378d0, Element=2036053)
    at /home/cbosdo/libreoffice/master/bootstrap/clone/filters/writerfilter/source/ooxml/OOXMLFastDocumentHandler.cxx:153
Comment 2 Cédric Bosdonnat 2011-02-04 01:56:22 UTC
Lubos, can you have a look at that crasher?
Comment 3 Scott M. Sanders 2011-08-18 12:39:23 UTC
I am getting some mostly-blank documents too, opening DOCX files with LibreOffice 3.4.2 on Windows XP.

For example, as mentioned before, Alice's Adventures in Wonderland.docx is totally blank for me too, as was a company memo I just received, where I could see the header and footer, and an erroneous blank preceding page, but the body seemed to be written all in a text box that nearly floated off the page. I can attached if needed.

Here is an updated link for Alice: http://openxmldeveloper.org/blog/b/openxmldeveloper/archive/2006/05/01/sampledocs2.aspx
Comment 4 Julien Nabet 2012-05-12 06:16:25 UTC
Created attachment 61485 [details]
bt with symbols

On pc Debian x86-64 with master updated today, I still reproduce the problem.
I tested Office Open XML sample.docx contained in the zip of the link of the comment 3.
Comment 5 Commit Notification 2013-06-10 08:39:41 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dcfefd6676d8cf8930424724a509cce0d3612962

Related fdo#33895 add some checks against NULL derefs



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-06-11 10:22:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5caaad1b83ecb8d6a17f0608c2716a5e69ae86c&h=libreoffice-4-1

Related fdo#33895 add some checks against NULL derefs


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-06-11 10:22:39 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f50adc18112877214495e723976f18fa41cc18d&h=libreoffice-4-0

Related fdo#33895 add some checks against NULL derefs


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.